> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wavmaker.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a category



## OpenAPI

````yaml api-reference/openapi.json get /categories/{category_id}
openapi: 3.1.0
info:
  title: WavMaker API
  description: ''
  version: 1.0.0
servers:
  - url: https://www.wavmaker.com/api/v1
    description: Prod Env
security:
  - bearerToken: []
tags:
  - name: Songs
  - name: Categories
  - name: Cue Packs
  - name: Artists
paths:
  /categories/{category_id}:
    get:
      tags:
        - Categories
      summary: Retrieve a category
      operationId: retrieve-category
      parameters:
        - name: category_id
          in: path
          description: ''
          required: true
          example: afrobeat
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties: {}
              example:
                id: rock
                type: genre
                name: Rock
          headers: {}
      deprecated: false
      security:
        - bearerToken: []
components:
  securitySchemes:
    bearerToken:
      type: http
      scheme: bearer

````